Bug 11284 - Update Sinhala (Sri Lanka) keymap
Summary: Update Sinhala (Sri Lanka) keymap
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All All
: high enhancement
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-16 06:26 UTC by Harshula Jayasuriya
Modified: 2007-06-29 14:20 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harshula Jayasuriya 2007-06-16 06:26:49 UTC
I've updated the keyboard layout, could you please apply my changes to
xkeyboard-config's lk layout?

Changelog:
--------------------------------------------------------
* Using the letter frequency data from the:
  "UCSC LTRL Sinhala Corpus Version 1 June 2006” (7M words).
  The total number of letters is 33880970. All percentages are
  rounded to 2dps.

* Assign the most frequent letter within a grouping to the unshifted
level,
  then the next most frequent to the shifted level, then the alt-gr
level,
  and the least frequent to shift plus alt-gr level. However, if
Alpapraana
  and Mahaapraana pairs exist, keep them consecutive.

* Key 'd':
ද (U+0daf)      1006218 (2.97%)
ධ (U+0db0)      164704 (0.49%)
ඩ (U+0da9)      171139 (0.51%)
ඪ (U+0daa)      1229 (0.00%)

* Key 's':
ස (U+0dc3)      1259498 (3.72%)
ශ (U+0dc1)      181189 (0.53%)
ෂ (U+0dc2)      118730 (0.35%)

* Key 't':
ත (U+0dad)      1568636 (4.63%)
ථ (U+0dae)      68688 (0.20%)
ට (U+0da7)      712353 (2.10%)
ඨ (U+0da8)      11415 (0.03%)

* Key 'x':
ඳ (U+0db3)      120051 (0.35%)
ඬ (U+0dac)      10360 (0.03%)
--------------------------------------------------------
Diff:
http://cvs.savannah.nongnu.org/viewvc/sinhala/keymaps/lk?root=sinhala&r1=1.4&r2=1.5

Updated file:
http://cvs.savannah.nongnu.org/viewvc/*checkout*/sinhala/keymaps/lk?root=sinhala

Thanks,
Harshula
Comment 1 Sergey V. Udaltsov 2007-06-16 10:19:46 UTC
Thanks for the fix, committed!
Comment 2 Harshula Jayasuriya 2007-06-29 11:46:58 UTC
Hi,

Minor update:
* Move the JOIN and TOUCH keys to more accessible key combinations.

Diff:
http://cvs.savannah.nongnu.org/viewvc/sinhala/keymaps/lk?root=sinhala&r1=1.5&r2=1.6

Updated File:
http://cvs.savannah.nongnu.org/viewvc/*checkout*/sinhala/keymaps/lk?root=sinhala

cya,
#
Comment 3 Sergey V. Udaltsov 2007-06-29 14:20:29 UTC
Thanks, committed.


bug/show.html.tmpl processed on Mar 27, 2017 at 12:39:41.
(provided by the Example extension).